import React from 'react';
import { IChildrenProps, IClassNameProps } from '../../../@types';
export interface IHeaderProps extends IClassNameProps, IChildrenProps {
    /**
     * Defines the Application Name
     */
    appName?: string;
    /**
     * Defines the gap between header children
     */
    gapClass?: string;
    /**
     * Defines the left most placeholder to keep additional global info
     */
    left?: React.ReactElement;
    /**
     * Defines the DOM position style for header. for example: sticky, absolute etc..
     */
    positionClass?: string;
    /**
     * Defines the right most placeholder for toolbar area
     */
    right?: React.ReactElement;
}
export declare function Header({ appName, children, className, gapClass, left, positionClass, right, }: IHeaderProps): JSX.Element;
//# sourceMappingURL=Header.d.ts.map